#ifndef _BOOTDEV_H
#define _BOOTDEV_H

#include <types.h>

struct bootdev {
	CONST CHAR *name;

	INT32 (*init)(VOID);
	INT32 (*start)(VOID);
	INT32 (*load)(VOID);
	INT32 (*stop)(VOID);

	/* Internal */
	struct bootdev *next;
};

struct downloadconfig
{
    UINT32		my_ip;
    UINT32		server_ip;
    UINT32		addr;
    BYTE		*filename;
};
#endif
