
/**
 * \brief Flush the data cache within the specified region
 * \param start virtual start address of region
 * \param end virtual end address of region
 */
        .global   CP15_flush_dcache_for_dma
CP15_flush_dcache_for_dma:
        mrc     p15, 0, r3, c0, c0, 1        
        lsr     r3, r3, #16
        and     r3, r3, #0xf                 
        mov     r2, #4                        
        mov     r2, r2, lsl r3               
        sub     r3, r2, #1
        bic     r0, r0, r3
5:
        mcr     p15, 0, r0, c7, c14, 1       
        add     r0, r0, r2
        cmp     r0, r1
        blo     5b
        dsb
        mov     pc, lr
        .end
        @bx      lr

