#include <types.h>
#include <net/time.h>
#include <macros.h>
#include <H7210.h>


VOLATILE UINT32 centisecs;
UINT32 getcentisec()
{
    STATIC UINT32 first = 1;
    UINT32 Time;
    
    if( first )
    {
        *(UINT32 *)(TIMER_TOPCTRL) = TIMER_POWERDOWNDISABLE;
    
        *(UINT32 *)(TIMER_T2CTRL) = TIMER_CTRL_REPEATMODE | TIMER_CTRL_COUNTENABLE;
        first = 0;
    }
    
    Time = *(UINT32 *)(TIMER_T2COUNT);   
	
	return (Time / 40000);

}

	
