#ifndef __DEV_BUZDRV_H
#define __DEV_BUZDRV_H


#define IOCTRL_BUZ_SET_FREQ         ( 1|(MESSAGE_DEVICE<<MESSAGE_CLASS_SHIFT)|(MESSAGE_DEVICE<<MESSAGE_IOCONTROL_SHIFT))
#define IOCTRL_BUZ_SET_ONDURATION   ( 2|(MESSAGE_DEVICE<<MESSAGE_CLASS_SHIFT)|(MESSAGE_DEVICE<<MESSAGE_IOCONTROL_SHIFT))
#define IOCTRL_BUZ_SET_OFFDURATION  ( 3|(MESSAGE_DEVICE<<MESSAGE_CLASS_SHIFT)|(MESSAGE_DEVICE<<MESSAGE_IOCONTROL_SHIFT))
#define IOCTRL_BUZ_SET_COUNT        ( 4|(MESSAGE_DEVICE<<MESSAGE_CLASS_SHIFT)|(MESSAGE_DEVICE<<MESSAGE_IOCONTROL_SHIFT))
#define IOCTRL_BUZ_START            ( 5|(MESSAGE_DEVICE<<MESSAGE_CLASS_SHIFT)|(MESSAGE_DEVICE<<MESSAGE_IOCONTROL_SHIFT))
#define IOCTRL_BUZ_STOP             ( 6|(MESSAGE_DEVICE<<MESSAGE_CLASS_SHIFT)|(MESSAGE_DEVICE<<MESSAGE_IOCONTROL_SHIFT))
#define IOCTRL_BUZ_MELODY_PLAY      ( 7|(MESSAGE_DEVICE<<MESSAGE_CLASS_SHIFT)|(MESSAGE_DEVICE<<MESSAGE_IOCONTROL_SHIFT))

typedef struct _BUZ_MELODY_
{
    UINT32     nFreq;
    UINT32     OnDuration;
}BUZ_MELODY, *PBUZ_MELODY;

#endif //__DEV_BUZDRV_H

