#ifndef _DRV_TWI_H_
#define _DRV_TWI_H_

//===========================================================================
typedef struct _TWI_IO_DESC 
{
	BYTE        SlaveAddress;	// Slave Address(Device Address)
	BYTE		PageSize;		// 64 Byte/Page : 1<<6(Shift Size), 0 == No Page
	BYTE		Delay;			// Page Write Delay(ms)
	BYTE        InterSize;		// Internal Address Size
	UINT32      InterAddress;	// Internal Address(Operation Start Address)
    UINT32      Count;			// nBytes to read/write
    BYTE        *pData;			// pBuffer
} TWI_IO_DESC, *PTWI_IO_DESC;


#define IOCTRL_IIC_SLAVE_READ   MESSAGE_DEVICE_DEFINITION(MESSAGE_DEVICE, MESSAGE_DEVICE, 'I', 0)
#define IOCTRL_IIC_SLAVE_WRITE  MESSAGE_DEVICE_DEFINITION(MESSAGE_DEVICE, MESSAGE_DEVICE, 'I', 1)
#define IOCTRL_IIC_MASTER_READ  MESSAGE_DEVICE_DEFINITION(MESSAGE_DEVICE, MESSAGE_DEVICE, 'I', 2)
#define IOCTRL_IIC_MASTER_WRITE MESSAGE_DEVICE_DEFINITION(MESSAGE_DEVICE, MESSAGE_DEVICE, 'I', 3)

//===========================================================================

#endif // _DRV_TWI_H_
