/*	$ JBOSN : debug.c, v 0.1 2002/12/17 $	*/

/*
 * Copyright (C) 2002	iBOSN systems
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are not permitted completely.
 *
 */

/*
 * Module Name: debug.c
 *
 * Purpose: basic operation for debug tools
 *
 */
 
#include <types.h>
#include <panic.h>

PUBLIC VOID 
PanicInit(VOID)
{
    ConsoleInit();
	return;
}


/*
  Name: Nano_Panic()
  Copyright: 
  Author: jung byoung oh
  Date: 11-12-03 14:27
  Description: alarm the system error to user, send the system error string 
  USE : external use
        nanokernel call
*/
PUBLIC VOID 
Panic(PBYTE p_Str)
{
	// The system has run aground of a fatal error. Terminate execution.
	if( (p_Str != NULL) && (*p_Str != NULL) )
	{
	    ConsoleWrite("\npanic : ");
		ConsoleWrite(p_Str);
	}

}

