@;
@; Copyright (c) Microsoft Corporation.  All rights reserved.
@;
@;
@; Use of this source code is subject to the terms of the Microsoft end-user
@; license agreement (EULA) under which you licensed this SOFTWARE PRODUCT.
@; If you did not accept the terms of the EULA, you are not authorized to use
@; this source code. For a copy of the EULA, please see the LICENSE.RTF on your
@; install media.
@;
@;-------------------------------------------------------------------------------
@;
@;  File: cleandc.s
@;
@;  This file implement OALCleanDCache function for ARM926.
@;
@        INCLUDE kxarm.h
@        INCLUDE armmacros.s
@        INCLUDE oal_cache.inc
@
@        IMPORT g_oalCacheInfo
@
@        TEXTAREA
@
@;-------------------------------------------------------------------------------
@;
@;  Function:  OALCleanDCache
@;
@        LEAF_ENTRY OALCleanDCache
@
@        ; Test and clean entire data cache
    .global OALCleanDCache
OALCleanDCache:
10:
        mrc p15, 0, r15, c7, c10, 3
        bne 10b

        mov pc, lr
@        RETURN
@
@        END
@
@;-------------------------------------------------------------------------------
        
