#ifndef _IP_H
#define _IP_H

#ifndef INADDR_ANY
#define INADDR_ANY	(0xffffffffUL)
#endif

struct sin {
	UINT32	sin_addr;
	UINT16	sin_port;
};

struct iphdr {
	BYTE	ip_ihl:4;
	BYTE	ip_ver:4;
	BYTE	ip_tos;
	UINT16	ip_len;
	UINT16	ip_id;
	UINT16	ip_frag;
	BYTE	ip_ttl;
	BYTE	ip_proto;
	UINT16	ip_check;
	UINT32	ip_source;
	UINT32	ip_dest;
};

EXTERN CHAR *in_ntoa(UINT32 addr);

EXTERN INT32 ip_send(struct netdev *nd, int protocol, UINT32 from, UINT32 to, struct buflist *data);

#endif
