#include <types.h>
#include <net/buflist.h>
#include <net/ip.h>

struct udphdr {
	UINT16	udp_source;
	UINT16	udp_dest;
	UINT16	udp_length;
	UINT16	udp_check;
};

extern int udp_send(struct netdev *nd, struct sin *from, struct sin *to,
		    struct buflist *data);
extern int udp_recv(struct netdev *nd, struct sin *from, struct sin *to,
		    void *buffer, int size);
