/*	$ DOOROOS: img_gif.h, v 0.1 2012/02/12 $	*/

/*
 * Copyright (C) 2012	Jung Byong-Oh
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are not permitted completely.
 *
 */

/*
 * Module Name: img_gif.h
 *
 * Purpose: gif related data structure definition.
 *
 */

#ifndef __DOOROOS_DEV_GL_IMG_GIF_H__
#define __DOOROOS_DEV_GL_IMG_GIF_H__

#include <types.h>


#ifdef __cplusplus
EXTERN "C"
{
#endif



EXTERN BOOL     TestGIF( GIF_PINFO pGifInfo );
EXTERN BOOL     LoadGIF( GIF_PINFO pGifInfo, PIMAGEHDR pImage, PVOID pImageBuf, PUINT16 pPalette );
EXTERN BOOL     InitGIFBuffer( GIF_PINFO pGifInfo, PVOID pBuf, UINT32 Size );
EXTERN BOOL     InitGIFFile( GIF_PINFO pGifInfo, HANDLE hFile );



#ifdef __cplusplus
}
#endif


#endif //__DOOROOS_DEV_GL_IMG_GIF_H__

