#include <types.h>


UINT32	CLIBstrlen(CONST CHAR *a)
{   
	CONST CHAR *x = a + 1;

    while (*a++ != 0);
    return a - x;
}

/** 
INT32 CLIBtolower(wint_t c)
{
	if (c>='A' && c<='Z') return (c + 'a' - 'A');
	else return c;
}

INT32 CLIBtoupper(wint_t c)
{
	if (c>='a' && c<='z') return (c - 'a' + 'A');
	else return c;
}
**/

//CHAR 
//DL_ToUpperChar(CHAR ch)  //
//{
//	if (ch>='a' && ch<='z')
//	{
//		ch=ch+('A'-'a');
//	}
//	return ch;
//}
//
//INT32 
//DL_ToUpperStr(CHAR *szStr)
//{
//	INT32 i;
//	i=0;
//	
//	while (*szStr)
//	{
//		*(szStr)=DL_ToUpperChar((CHAR)*(szStr));
//		*szStr++;
//	};
//	return TRUE;
//}
//
//CHAR 
//DL_ToLowerChar(CHAR ch)
//{
//	if (ch>='A' && ch<='Z')
//	{
//		ch=ch+('a'-'A');
//	}
//	return ch;
//}
//
//INT32 
//DL_ToLowerStr(CHAR *szStr)
//{
//	INT32 i;
//	i=0;
//	
//	while (*szStr)
//	{
//		*(szStr)=DL_ToLowerChar((CHAR)*(szStr));
//		*szStr++;
//	};
//	return TRUE;
//}

CHAR *CLIBstrcpy(CHAR *a, CONST CHAR *b)                 /* copy from b to a */
{
	CHAR *p = a;
	do
	/* do nothing */ ;
	while ((*p++ = *b++) != 0 && (*p++ = *b++) != 0);

	return a;
}

INT32 CLIBstrcmp(CONST CHAR *a, CONST CHAR *b) /* lexical comparison on strings */
{
    {   /* byte-wise string copy, twice unrolled */
        UINT32 c1, c2;        
        for (;;)
        {   c1 = *a++;
            c2 = *b++;
            if (c1 < 1 || c1 != c2) break;      /* 2 cycle test */
            c1 = *a++;
            c2 = *b++;
            if (c1 < 1 || c1 != c2) break;      /* 2 cycle test */
        }
        return c1 - c2;
    }
}

UINT32 CLIBstrspn(CONST CHAR *s, CONST CHAR *p)
                                        /* find first CHAR in s not in p */
{   CONST CHAR *ss, *pp;
    CHAR ch;
    for (ss=s;;ss++)
    {   if ((ch = *ss) == 0) return ss-s;
        for (pp=p;;)
        {   CHAR c1 = *pp++;
            if (c1 == 0) return ss-s;
            if (c1 == ch) break;
        }
    }
}

UINT32 CLIBstrcspn(CONST CHAR *s, CONST CHAR *p)
                                     /* find first CHAR in s that is in p */
{   CONST CHAR *ss, *pp;
    CHAR ch;
    for (ss=s;;ss++)
    {   CHAR c1;
        if ((ch = *ss) == 0) return ss-s;
        for (pp=p; (c1 = *pp++) != 0; ) if (c1 == ch) return ss-s;
    }
}

STATIC CHAR *saves1 = NULL;

CHAR *CLIBstrtok(CHAR *s1, CONST CHAR *s2)
{   CHAR *s0;
    if (s1 == (CHAR *)0) s1 = (saves1 == (CHAR *)NULL) ? (CHAR*)"" : saves1;    /* use saved pointer */
    if (*(s1 += CLIBstrspn(s1,s2)) == 0) s0 = 0;             /* no tokens */
    else { s0 = s1;
           if (*(s1 += CLIBstrcspn(s1,s2)) != 0) *s1++ = 0;  /* insert 0 if nec */
         }
    return (saves1 = s1, s0);
}


BYTE CLIBisprintable(BYTE ch)
{
	if (ch>=0x20 && ch<0x80) return ch;
	
	return '.';
}

CHAR CHAR_ToUpper(CHAR ch)
{
	if (ch>='a' && ch<='z')
	{
		ch=ch+('A'-'a');
	}
	return ch;
}


INT32 STR_ToUpper(CHAR *szStr)
{
	INT32 i;
	i=0;
	
	while (*szStr)
	{
		*(szStr)=CHAR_ToUpper((CHAR)*(szStr));
//		i++;
		*szStr++;
	};
	return TRUE;
}
