#include <types.h>
#include <net/checksum.h>

UINT32 checksum(VOID *ptr, INT32 len, UINT32 chksum)
{
	BYTE *p = (BYTE *)ptr;
	INT32 i;

	for (i = 0; i < len - 1; i += 2)
		chksum += (p[i] << 8) | p[i + 1];

	if (len & 1)
		chksum += p[len - 1] << 8;

	chksum = (chksum & 0xffff) + (chksum >> 16);
	chksum = (chksum & 0xffff) + (chksum >> 16);

	return chksum;
}
