#ifndef __DEV_GPIOAPI_H__
#define __DEV_GPIOAPI_H__

#include <types.h>
#include <message.h>


#define IOCTRL_GPIO_INIT    MESSAGE_DEVICE_DEFINITION(MESSAGE_DEVICE, MESSAGE_DEVICE, 'G', 128)
#define IOCTRL_GPIO_SET     MESSAGE_DEVICE_DEFINITION(MESSAGE_DEVICE, MESSAGE_DEVICE, 'G', 129)
#define IOCTRL_GPIO_CLEAR   MESSAGE_DEVICE_DEFINITION(MESSAGE_DEVICE, MESSAGE_DEVICE, 'G', 130)
#define IOCTRL_GPIO_GET     MESSAGE_DEVICE_DEFINITION(MESSAGE_DEVICE, MESSAGE_DEVICE, 'G', 131)


#define PIN_GROUP_IO    32
#define	PIN_PA(io)	    (0 * PIN_GROUP_IO + io)
#define	PIN_PB(io)	    (1 * PIN_GROUP_IO + io)
#define	PIN_PC(io)	    (2 * PIN_GROUP_IO + io)
#define	PIN_PD(io)	    (3 * PIN_GROUP_IO + io)
#define	PIN_PE(io)	    (4 * PIN_GROUP_IO + io)

typedef struct _GPIO_SET_
{
	char *  pName;
	UINT32  Num;
	UINT32  Value;
	BOOL    bOutput;
	UINT32  PullUp:1,
            PullDown:1,
            Deglitch:1,
            OpenDrain:1;
}GPIO_SET;

#endif //__DEV_GPIOAPI_H__

