/*	$ JBOSN_OS: hal_time.h, v 0.1 2003/05/15 $	*/

/*
 * Copyright (C) 2002	iBOSN systems
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are not permitted completely.
 *
 */

/*
 * Module Name: hal_time.h
 *
 * Purpose: time function definitions.
 *
 */

#ifndef __JBOSN_HAL_TIME_H_
#define __JBOSN_HAL_TIME_H_

#include <types.h>


//#define HAL_CLOCK_FREQ      (3686400)

// Timer count value for 1 ms
#define HAL_TICK_FREQ       (200)
//#define HAL_CLOCK_TICK      (HAL_CLOCK_FREQ / HAL_TICK_FREQ)
#define NO_RESCHED_WINDOW   (HAL_CLOCK_TICK / 10)

#define	TIMER_PERIOD        (1000/HAL_TICK_FREQ)

EXTERN  VOID HAL_ClockInit( VOID );
EXTERN  VOID HAL_TimerInterruptHandler( PUINT64 pMsCount );

#endif ///__JBOSN_HAL_TIME_H_


